const {registerBlockType} = wp.blocks;
const {useBlockProps} = wp.blockEditor;

registerBlockType( 'easy-file-upload-approval/easyfua-block', {
    title: 'Easy File Upload Approval - WP',
    icon: 'upload',
    category: 'widgets',

    edit: ( props ) => {
        const blockProps = useBlockProps({
			className : 'easyfua-upload-block-wp'
		});
        return (
            <div {...blockProps}>
				<div className="easyfua-upload-area">
					<span>{easyfua_text.uploadText}</span>
					<span>{easyfua_text.or}</span>
					<span>{easyfua_text.browse}</span>
				</div>
			</div>
        );
    },

    // The save function returns null to indicate that the block's content
    // will be dynamically rendered on the server via PHP.
    save: () => {
        return null;
    },
} );